------------------------------------------------------------------------------------
--Name:  	Thanksgiving4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-10-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(28, 26)
local npc_1 = CppScriptMgr:AddSimplePlayer(1062500, 34, 28, "3rd Turkey Brother", 0, 0)
npc_1:SetDir(7)
local npc_0 = CppScriptMgr:AddSimplePlayer(1062517, 29, 33, "4th Turkey Sister", 0, 0)
npc_0:SetDir(7)
CppScriptMgr:WaitMilSec(350)
CppScriptMgr:NpcCallOut("Miles frozen!", 800, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJSG", 150, 430, "3rd Turkey Brother", 250, 655)
CppScriptMgr:WaitMilSec(80)
npc_1:SetAction(401)
npc_1:Say("Miles frozen!", 800)
CppScriptMgr:WaitMilSec(100)
local effect_0 = CppScriptMgr:AddEffect("iarrow_916", 36, 30, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(3150)
CppScriptMgr:NpcCallOut("Our 3rd brother is amazing, the fastest learner among us all!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJSJ", 150, 430, "4th Turkey Sister", 250, 655)
npc_0:Say("Our 3rd brother is amazing, the fastest learner among us all!", 1500)
CppScriptMgr:WaitMilSec(1580)
CppScriptMgr:NpcCallOut("What about learning my summoning spell?", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJSJ", 150, 430, "4th Turkey Sister", 250, 655)
npc_0:Say("What about learning my summoning spell?", 1500)
CppScriptMgr:WaitMilSec(1620)
npc_1:SetAction(200)
CppScriptMgr:NpcCallOut("Please teach me, sister.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJSG", 150, 430, "3rd Turkey Brother", 250, 655)
npc_1:Say("Please teach me, sister.", 1000)
CppScriptMgr:WaitMilSec(2200)
CppScriptMgr:ClearEffect(effect_0)
CppScriptMgr:WaitMilSec(180)
local effect_1 = CppScriptMgr:AddEffect("rockdownatt", 36, 35, 80, 1, 1, 1)
CppScriptMgr:NpcCallOut("Get focused, gather your power, and summon!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJSJ", 150, 430, "4th Turkey Sister", 250, 655)
npc_0:Say("Get focused, gather your power, and summon!", 1000)
CppScriptMgr:WaitMilSec(190)
npc_0:SetAction(401)
CppScriptMgr:WaitMilSec(970)
local monster_0 = CppScriptMgr:AddPlayer(202, 36, 35, "", 0, 0)
monster_0:SetDir(3)
local monster_1 = CppScriptMgr:AddPlayer(202, 34, 37, "", 0, 0)
monster_1:SetDir(3)
local monster_2 = CppScriptMgr:AddPlayer(202, 38, 33, "", 0, 0)
monster_2:SetDir(3)
CppScriptMgr:WaitMilSec(1630)
CppScriptMgr:NpcCallOut("Let me have a try! Summon!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJSG", 150, 430, "3rd Turkey Brother", 250, 655)
npc_1:Say("Let me have a try! Summon!", 1000)
CppScriptMgr:WaitMilSec(170)
npc_1:SetAction(401)
CppScriptMgr:WaitMilSec(630)
local effect_2 = CppScriptMgr:AddEffect("rockdownatt", 36, 35, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1140)
local monster_3 = CppScriptMgr:AddPlayer(202, 38, 35, "", 0, 0)
monster_3:SetDir(3)
local monster_4 = CppScriptMgr:AddPlayer(202, 36, 37, "", 0, 0)
monster_4:SetDir(3)
local monster_5 = CppScriptMgr:AddPlayer(202, 40, 33, "", 0, 0)
monster_5:SetDir(3)
CppScriptMgr:WaitMilSec(1870)
monster_3:Say("I`ll always follow my 3rd brother and 4th sister!", 1000)
CppScriptMgr:WaitMilSec(1110)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(160)
npc_1:SetHide(1)
npc_0:SetHide(1)
CppScriptMgr:WaitMilSec(520)
monster_0:SetHide(1)
monster_1:SetHide(1)
CppScriptMgr:WaitMilSec(160)
monster_2:SetHide(1)
monster_3:SetHide(1)
monster_4:SetHide(1)
monster_5:SetHide(1)
CppScriptMgr:WaitMilSec(620)
local effect_3 = CppScriptMgr:AddEffect("zf2-e233", 32, 35, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("zf2-e233", 35, 31, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(880)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetDir(7)
player_0:SetPos(35, 31)
local npc_2 = CppScriptMgr:AddSimplePlayer(1062530, 32, 35, "6th Turkey Brother", 0, 0)
npc_2:SetDir(7)
CppScriptMgr:WaitMilSec(280)
local actor_name_0 = player_0:GetName()
CppScriptMgr:WaitMilSec(330)
CppScriptMgr:NpcCallOut("My 3rd brother is a good learner. He has learnt my 4th sister`s summoning spell, and he`s Miles Frozen is also skilled!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
npc_2:Say("My 3rd brother is a good learner. He has learnt my 4th sister`s summoning spell, and he`s Miles Frozen is also skilled!", 1500)
CppScriptMgr:WaitMilSec(2090)
CppScriptMgr:NpcCallOut("To deal with the demonized 3rd brother, you gotta be careful!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_TG2022HJLD", 150, 430, "6th Turkey Brother", 250, 655)
npc_2:Say("To deal with the demonized 3rd brother, you gotta be careful!", 1000)
CppScriptMgr:WaitMilSec(2520)
CppScriptMgr:NpcCallOut("Don`t worry, I`ll be fine.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, actor_name_0, 250, 655)
player_0:Say("Don`t worry, I`ll be fine.", 1000)
CppScriptMgr:WaitMilSec(1810)